Set transaction isolation level of MySQL to READ-COMMITTED in database.yml.example
Description

Due to bug fix #39437, you have to set your MySQL server's transaction_isolation level to READ-COMMITTED. Detailed information
about this requirement can be found in the MySQL configuration documentation.

To ensure this critical configuration is not overlooked, | propose updating config/database.yml.example with explanatory comments.
The attached patch includes these suggested comments and makes the necessary configuration more visible.

Related issues:
Is duplicate of Redmine - Patch #39737: Support MySQL 8 Closed

Associated revisions

Revision 22476 - 2023-11-26 14:20 - Marius BALTEANU

Update database versions and MySQL related documentation to include the workaround for concurrency issues (#39737, #39592).

Revision 22477 - 2023-11-26 14:21 - Marius BALTEANU
Add transaction_isolation variable to database.yml.example (#39592, #39737).

Patch by Go MAEDA.

History

#1 - 2023-11-22 22:15 - Marius BALTEANU

- Category set to Database

I'm not sure if we should add it as you proposed or comment it out. Any other opinions?

#2 - 2023-11-22 22:16 - Marius BALTEANU

On way or another, | will include this change before releasing the new versions.

#3 - 2023-11-23 02:13 - Go MAEDA
| think it is even better to update doc/INSTALL as well.

diff --git a/doc/INSTALL b/doc/INSTALL

index 1487b8317..2e34eb0cl 100644

-—— a/doc/INSTALL

+++ b/doc/INSTALL

@@ -86,6 +86,26 @@ The current version of Firefox, Safari, Chrome, Chromium and Microsoft Edge.
Go to "Administration" to load the default configuration data (roles,
trackers, statuses, workflow) and to adjust the application settings

+== Database server configuration

Lo

+When using MySQL with Redmine 5.0.1 or later, it is necessary to change
+the transaction isolation level from the default REPEATABLE READ to
+READ_COMMITTED. To modify this setting, either change the database
+configuration file or alter the settings on your MySQL server.

]

+To set the transaction isolation level in the database configuration file,
+add transaction_isolation variable as below:

]

+ production:
+ adapter: mysqgl2
+ database: redmine
host: localhost
[...]

+
+
+ variables:
+ transaction_isolation: "READ-COMMITTED"
n
+More details can be found in https://www.redmine.org/projects/redmine/wiki/MySQL_configuration.
o]

== SMTP server Configuration

Copy config/configuration.yml.example to config/configuration.yml and
#4 - 2023-11-26 14:22 - Marius BALTEANU
- Is duplicate of Patch #39737: Support MySQL 8 added

#5 - 2023-11-26 14:23 - Marius BALTEANU

- Status changed from New to Closed
Changes committed as part of #39737.

#6 - 2023-11-26 14:23 - Marius BALTEANU
- Target version deleted (5.1.1)

Files

update-database_yml_example.patch 1.09 KB 2023-11-22 Go MAEDA
